#import "../fragments/oncall_schedule_rotation_with_shifts.fragment.graphql"

query getShiftsForRotations($projectPath: ID!, $startsAt: Time!, $endsAt: Time!, $iids: [ID!]) {
  project(fullPath: $projectPath) {
    id
    incidentManagementOncallSchedules(iids: $iids) {
      nodes {
        rotations {
          # We have an id in deeply nested fragment
          # TODO: Uncomment next line when https://gitlab.com/gitlab-org/gitlab/-/merge_requests/75220 is merged and the rule is enabled
          # # eslint-disable-next-line @graphql-eslint/require-id-when-available
          nodes {
            ...OnCallRotationWithShifts
          }
        }
      }
    }
  }
}
